Subject: [MEXT] DHAAD concensus

From: Hesham Soliman <[email-masked]>
Date: Mon, 10 Nov 2008 11:59:28 +1100

Folks,

Like I said I'm neutral on the subject but I feel compelled to make one
point. There are several comments that seem to be saying removing DHAAD
breaks specs, trust in IETF, vendor implementations ....etc.

Frankly, I find this line of thought scary. There is *nothing* new here when
it comes to removing features from specs. IETF does this ALL the time for
DEPLOYED protocols. In IPv6 alone, and in the recent past we:
- Deprecated site local addresses
- Removed IPsec support from ND
- Deprecated A6 records
....etc

I hope this reasoning is not used to argue against removing anything. This
is a standard procedure and there is nothing new here if DHAAD is removed.
There are no interoperability or backward compatibility issues, and that's
all we need to care about. Competitor advantage and other "market" issues
are not in our charter...

Hesham

_______________________________________________
MEXT mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/mext

---

From: "Ahmad Muhanna" <[email-masked]>
Date: Sun, 9 Nov 2008 19:12:50 -0600

Hi Hesham,

Ideally, I agree with you completely.
However, in the real world we live in, I would say, almost always, when
people make their views on certain issues they have other than pure
technical reasons in their minds. You do not want me to give examples
here, right?

See you in Minneapolis!

Regards,
Ahmad

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On 
> Behalf Of Hesham Soliman
> Sent: Monday, November 10, 2008 9:59 AM
> To: mext
> Subject: [MEXT] DHAAD concensus
> 
> Folks,
> 
> Like I said I'm neutral on the subject but I feel compelled 
> to make one point. There are several comments that seem to be 
> saying removing DHAAD breaks specs, trust in IETF, vendor 
> implementations ....etc.
> 
> Frankly, I find this line of thought scary. There is 
> *nothing* new here when it comes to removing features from 
> specs. IETF does this ALL the time for DEPLOYED protocols. In 
> IPv6 alone, and in the recent past we:
> I hope this reasoning is not used to argue against removing 
> anything. This is a standard procedure and there is nothing 
> new here if DHAAD is removed.
> There are no interoperability or backward compatibility 
> issues, and that's all we need to care about. Competitor 
> advantage and other "market" issues are not in our charter...
> 
> Hesham
> 
>

---

From: Sri Gundavelli <[email-masked]>
Date: Sun, 9 Nov 2008 17:47:27 -0800 (PST)

> DEPLOYED protocols. In IPv6 alone, and in the recent past we:

IETF has the absolute power to deprecate things, when there is a
need to do so. No disagreement there. But, let there be a very very
good reason. Not a light statement, that some other approach is probably
better than this approach. Because, there is a cost of development. The
pain for the vendor who has that implementation is much higher than to
the vendor who does not have that implementation. IETF has the burden
to ensure, standards are not deprecated very easily, but the process
itself should be much harder than the process of standardization.

I may ask, in the context of DHAAD discussion, is there new data that
was not there during the 3775 standardization. Did we discover some
startling issues after the protocol is specd out. If I review
DNS-based discovery, the use of SRV records was there before year
2000, in the form of RFC 2052 or RFC 2782. So, there is a burden
on the IETF body to present a strong case, implicitly in the form
of process, before a given standard is taken out.

The discussion of deprecating Site Local Addresses started atleast
many years before it was finally done. Its a very long process
and the motivation was very strong. Some how I dont believe DHAAD
falls within that scope. To some it may not be so useful, but its not
harmful either as you said.

May be all of this discussion is not needed, the moment the chairs
said, the bar is much higher. But, for the sake of completion and
on the general discussion on *deprecation*.

Regards
Sri

---

From: Alexandru Petrescu <[email-masked]>
Date: Mon, 10 Nov 2008 10:27:24 +0100

> - Removed IPsec support from ND

I wanted to say the same thing, it's usual to remove stuff from specs, 
and the above examples are relevant.  However, removing stuff from MIP6 
spec has been proposed in the past and it was argued against it, with 
valid reasons as well: keep a coherent spec, etc.

Alex

> are not in our charter...

______________________________________________________________________
This email has been scanned by the MessageLabs Email Security System.
For more information please visit http://www.messagelabs.com/email 
______________________________________________________________________
_______________________________________________
MEXT mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/mext